{
    "header": {
        "version": 1,
        "type": "record",
        "approw-key": "REVERROR.DAT"
    },
    "body": {
        "record1": {
            "<1>": "//",
            "<2>": "// Amended  Date       Reason",
            "<3>": "// =======  ====       ======",
            "<4>": "// Mr C     21 Jan 23  Added SSP289",
            "<5>": "// Mr C     01 Feb 21  Added EV136",
            "<6>": "// Mr C     05 Jan 21  Added EV131, EV132",
            "<7>": "// Mr C     19 Dec 20  Added EV130",
            "<8>": "// Mr C     15 Oct 19  Corrected SSP314 grammar",
            "<9>": "// rjc      07 Jun 19  Added Arev B errors",
            "<10>": "// Mr C     13 Nov 18  Added SYS1250 series.",
            "<11>": "// Mr C     20 Mar 18  Added SYS1005, SYS1011, SYS1012",
            "<12>": "// Mr C     27 Jan 16  Added comment section and re-added to system (APPROW",
            "<13>": "//                     was renamed)",
            "<14>": "",
            "<15>": "ENG0010:  %1%, line %2%.  Variable has not been assigned a value.",
            "<16>": "ENG0012:  %1%, line %2%.  Table has not been opened.",
            "<17>": "ENG0015:  %2%, line %3%.  Illegal opcode:  %1%",
            "<18>": "ENG0016:  %1%, line %2%.  Non-numeric data when numeric required.  Zero used.",
            "<19>": "ENG0017:  %1%, line %2%.  Subscript value out of range.",
            "<20>": "ENG0019:  %1%, line %2%.  Illegal pattern.",
            "<21>": "ENG0022:  %2%, line %3%.  Branch index of %1% is illegal.",
            "<22>": "ENG0023:  %2%, line %3%.  Branch index of %1% exceeds number of statement-labels.",
            "<23>": "ENG0024:  %1%, line %2%.  Divide by zero; Result Zero!",
            "<24>": "ENG0027:  %1%, line %2%.  RETURN executed with no GOSUB.",
            "<25>": "ENG0028:  %1%, line %2%.  Not enough string space - Out of Memory.",
            "<26>": "ENG0031:  %1%, line %2%.  Stack overflow.",
            "<27>": "ENG0040:  %1%, line %2%.  The labeled common variable has been freed and is no longer valid.",
            "<28>": "ENG0050:  %1%, line %2%.  Function with argument value <= 0 undefined; Zero returned.",
            "<29>": "ENG0051:  %1%, line %2%.  Negative number raised to non-integer value.  Zero used!",
            "<30>": "ENG0055:  %1%, line %2%.  MATREAD or MATWRITE operation must be to or from a vector.",
            "<31>": "ENG0700:  %1%, line %2%.  Non-dimensioned variable used as an array.",
            "<32>": "ENG0701:  %1%, line %2%.  Double-dimension array used with only one subscript.",
            "<33>": "ENG0702:  %1%, line %2%.  Single-dimension array used with two subscripts.",
            "<34>": "ENG0703:  %1%, line %2%.  Variable exceeds maximum length.",
            "<35>": "ENG0704:  %1%, line %2%.  Attempt to access an array without a subscript. Zero used.",
            "<36>": "ENG0705:  %1%, line %2%.  Array not dimensioned.",
            "<37>": "ENG0706:  %1%, line %2%.  String space format error.",
            "<38>": "ENG0707:  %1%, line %2%.  Format output exceeds 64K.",
            "<39>": "ENG0708:  %1%, line %2%.  Subroutine contains invalid header.  CALL aborted.",
            "<40>": "ENG0709:  %1%, line %2%.  Remainder by Zero illegal.  Zero used.",
            "<41>": "ENG0710:  %1%, line %2%.  Extra parameters ignored.",
            "<42>": "ENG0711:  %2%, line %3%.  Too many parameters passed to procedure %1%.",
            "<43>": "ENG0712:  %1%, line %2%.  Attempt to pass more than 127 parameters.",
            "<44>": "ENG0713:  %1%, line %2%.  Step value of Zero illegal in FOR-NEXT loop.  Loop terminated.",
            "<45>": "ENG0714:  %1%, line %2%.  String exceeds maximum length.  Null used.",
            "<46>": "ENG0715:  %1%, line %2%.  DOS file size exceeds 65532 bytes.",
            "<47>": "ENG0716:  %1%, line %2%.  Zero and non-zero subscript not allowed.  Element zero used.",
            "<48>": "ENG0717:  %1%, line %2%.  Program-list format error.",
            "<49>": "ENG0718:  %1%, line %2%.  Frame format error.",
            "<50>": "ENG0719:  %1%, line %2%.  String space format error.",
            "<51>": "ENG0720:  %1%, line %2%.  Attempt to use common variable when common has not been defined.",
            "<52>": "ENG0721:  %1%, line %2%.  Attempt to use a common variable not defined in original common.",
            "<53>": "ENG0722:  %1%, line %2%.  Labeled common has not been defined.",
            "<54>": "ENG0723:  %1%, line %2%.  Invalid opcode CALL to an RTP.",
            "<55>": "ENG0724:  %1%, line %2%.  Disk read error loading SYSTEM object.",
            "<56>": "ENG0725:  %1%, line %2%.  SYSTEM object table missing.",
            "<57>": "ENG0726:  %1%, line %2%.  Invalid name for DOS table.",
            "<58>": "ENG0727:  %2%, line %3%.  %1% is access protected and cannot be written.",
            "<59>": "ENG0728:  %2%, line %3%.  Media full writing %1%.",
            "<60>": "ENG0755:  %1%, line %2%.  8087 not empty at line mark.",
            "<61>": "ENG0760:  %1%, line %2%.  Labeled common spt string format error.",
            "<62>": "ENG0761:  %1%, line %2%.  Labeled common name string format error.",
            "<63>": "ENG0762:  %1%, line %2%.  Labeled common created smaller than declaration.",
            "<64>": "ENG0772:  %1%, line %2%.  Tangent of 90 degrees is undefined.",
            "<65>": "ENG0800:  %2%, line %3%.  %1%",
            "<66>": "ENG0801:  %1%, line %2%.  Unknown descriptor type; using null string.",
            "<67>": "ENG0802:  %1%, line %2%.  External C program has executed an abort.",
            "<68>": "ENG0803:  %2%, line %3%.  %1% has not been implemented.",
            "<69>": "ENG0804:  %2%, line %3%.  Unable to load dynamic link library %1%.",
            "<70>": "ENG0805:  %3%, line %4%.  Function %2% does not exist in dynamic link library %1%.",
            "<71>": "ENG0806:  %2%, line %3%.  Invalid object code type: %1%.",
            "<72>": "ENG0807:  %1%, line %2%.  Main program has been called with arguments.",
            "<73>": "ENG0808:  %3%, line %4%.  Error [%1%] writing to table %2% during flush operation.",
            "<74>": "ENG0809:  %3%, line %4%.  Error [%1%] opening table %2% during flush operation.",
            "<75>": "ENG0810:  %2%, line %3%.  Null buffer: table %1% will not be flushed.",
            "<76>": "ENG0811:  %1%, line %2%.  Invalid pointer passed to GetValue.",
            "<77>": "ENG0812:  %1%, line %2%.  Invalid pointer passed to SetReturnValue.",
            "<78>": "ENG0813:  %1%  line %2%.  Invalid binary flag argument",
            "<79>": "",
            "<80>": "FS10:     Domain validation error. The record \"%1%\" contains illegal characters - or - the data does not pass validation patterns specified in the dictionary.",
            "<81>": "FS11:     Error attempting to convert or validate data in the \"%1%\" column. Check dictionary conversion and validation patterns.",
            "<82>": "FS12:     The record does not pass reduction criteria.",
            "<83>": "FS13:     Unable to lock this table or record. This lock is being held by another station.",
            "<84>": "FS14:     The operating system has denied access to this table or record. A table or record lock is being held by another station.",
            "<85>": "FS15:     Domain Error: Attempt to write NULL value into column \"%1%\".",
            "<86>": "FS16:     Domain Error: Attempt to write too many characters into column \"%1%\" (maximum: %2%).",
            "<87>": "FS17:     Domain Error: Value for column \"%1%\" does not conform to domain rule: %2%.",
            "<88>": "FS18:     Domain Error: Error converting value for column \"%1%\", by format: %2%.",
            "<89>": "FS30:     Number of fields in record is greater than the number of table columns.",
            "<90>": "FS50:     Error while updating or deleting the dictionary record \"%1%\". The table structure cannot be modified while the data table contains data.",
            "<91>": "FS51:     Dictionary domain error. The dictionary record \"%1%\" does not conform to the foreign table attribute specifications defined for this table type.",
            "<92>": "FS52:     The name \"%2%\" is an invalid foreign table name for the \"%1%\" table.",
            "<93>": "FS53:     You have attempted to define too many master fields. The maximum allowable is %1%, but you have attempted to define %2%.",
            "<94>": "FS54:     The fields have not been defined in field position order. The following field position(s) are missing: %1%",
            "<95>": "FS55:     No master fields have been defined -- unable to create the table.",
            "<96>": "FS56:     The data table cannot be created unless the dictionary exists.",
            "<97>": "FS57:     The dictionary record \"%1%\" has a foreign field name \"%2%\" that has already been used in another dictionary record.",
            "<98>": "FS100:    Record \"%1%\" does not exist.",
            "<99>": "FS101:    Write error. The operating system table \"%1%\" does not exist.",
            "<100>": "FS102:    Error while writing data. \"%1%\" is a read-only table.",
            "<101>": "FS103:    Error in the operating system table \"%1%\". Disk volume full.",
            "<102>": "FS104:    General write error in the operating system table \"%1%\".",
            "<103>": "FS105:    Read error in the operating system table \"%1%\". The table does not exist or the tablename is not valid for the operating system.",
            "<104>": "FS106:    Access denied by the operating system to the \"%1%\" table.",
            "<105>": "FS107:    Read error. OS Table = \"%1%\".",
            "<106>": "FS109:    Open or Create Media error. The name \"%1%\" is an invalid volume directory label.",
            "<107>": "FS110:    Open table error. The handle \"%1%\" is invalid for a volume directory.",
            "<108>": "FS111:    No more records available.",
            "<109>": "FS112:    The %1% filing system cannot be installed.",
            "<110>": "FS113:    The filing system RTP59 cannot be installed. (RTP57 must be installed beforehand.)",
            "<111>": "FS114:    The filing system RTP50 cannot be installed. The entry \"MEMORY.RESIDENT\" cannot be made in the \"SYSVOLUMES\" table.",
            "<112>": "FS115:    The filing system RTP50 cannot be installed. No entry can be made in the \"SYSVOLUMES\" table.",
            "<113>": "FS116:    The filing system RTP50 cannot be installed. No entry can be made in the \"SYSTABLES\" table.",
            "<114>": "FS124:    Group Format Error: OS File : %1% Group # : %2% Reading the next frame in the current group has failed.",
            "<115>": "FS125:    Group Format Error! OS File : %1% Group # : %2% A record has been truncated across frame boundaries.",
            "<116>": "FS126:    Group Format Error: OS File : %1% Group # : %2% Wrong Overflow frame linked to group.",
            "<117>": "FS127:    Group Format Error: OS File : %1% Group # : %2% Record length incorrect or frame linkage error.",
            "<118>": "FS128:    Linear Hash Error: OS File : %1% Group # : %2% LNP incorrect - modulo corrupted in group 0 header.",
            "<119>": "FS129:    Linear Hash Error OS File: %1% Group #: %2% Group Calculation Error.",
            "<120>": "FS130:    The BFS code %1% has not been implemented in the BFS \"%2%\".",
            "<121>": "FS133:    Undefined error during a read/write/delete operation. OS File : %1% Status(): %2%",
            "<122>": "FS135:    Generic %1% Server Error||Error code: %2%||%3%|",
            "<123>": "FS140:    Unable to create the \"%1%\" table. There are too many fields defined.",
            "<124>": "FS141:    Unable to create the \"%1%\" table. Position number %2% in the dictionary is missing.",
            "<125>": "FS142:    The record \"%2%\" cannot be saved in the \"%1%\" table because it contains invalid data.",
            "<126>": "FS143:    Unable to create the \"%1%\" table. The dictionary is missing.",
            "<127>": "FS144:    Record \"%2%\" is missing from the \"%1%\" table.",
            "<128>": "FS145:    The \"%1%\" table does not exist.",
            "<129>": "FS146:    The \"%1%\" table already exists.",
            "<130>": "FS147:    Unable to create the table. The specified table attributes are not valid.",
            "<131>": "FS148:    The record key \"%2%\" is invalid for the \"%1%\" table.",
            "<132>": "FS149:    The \"%1%\" table is protected and cannot be deleted.",
            "<133>": "FS150:    The \"%1%\" table is too long. (Tables must be less than 65,530 characters.)",
            "<134>": "FS151:    ROS table error. The record \"%1%\" has made a frame longer than 65,650 characters. The frame cannot be saved.",
            "<135>": "FS152:    The control record \"%RECORDS%\" is too long to be saved. The current record length is %1% characters.",
            "<136>": "FS160:    Insufficient memory. %1% characters are required, but only %2% characters are available",
            "<137>": "FS161:    Too many locks have been attempted. The lock table for the Linear Hash table type has overflowed.",
            "<138>": "FS162:    Because of licensing restrictions, records cannot be written to the \"%1%\" table",
            "<139>": "FS171:    Warning! Incorrect version of DOS -- use DOS 3.1 or higher. You will not be able to lock tables or records. Use only local tables or reboot using a correct version of DOS.",
            "<140>": "FS172:    Warning! The locktable \"REVBOOT\" is not available. You will not be able to lock tables or records. Correct the condition or use only local tables.",
            "<141>": "FS173:    Warning! The station identifier cannot be found. You will not be able to lock tables or records. Use only local tables or log out and correct the condition.",
            "<142>": "FS174:    Warning! No network drive can be found. Either the drive is local or no network drive is configured. You will not be able to lock tables or records. Use only local tables or log out and correct the condition.",
            "<143>": "FS175:    Warning! The network shell is not loaded. Interrupt 60 (Hex) has not been initialized. You will not be able to lock tables or records. Use only local tables or log out and establish a network connection.",
            "<144>": "FS176:    Warning! NetWare is not responding. The server is inactive or your workstation shell has not been loaded. You will not be able to lock tables or records. Use only local tables or log out and check your network connection.",
            "<145>": "FS185:    Warning! The current network driver is for non-networking purposes only and will not function properly on a network. Data corruption may result! Log out and correct the condition.",
            "<146>": "FS186:    Warning! The locktable \"REVBOOT\" is not available. You will not be able to lock tables or records. Data corruption may result! Log out and correct the situation.",
            "<147>": "FS187:    Warning! The station/process ID cannot be found. You will not be able to lock tables or records. Data corruption may result! Log out and correct the situation.",
            "<148>": "FS188:    Warning! SHARE.EXE has not been loaded. You will not be able to lock tables or records. Data corruption may result! Log out and correct the situation",
            "<149>": "FS189:    Warning! The current network driver does not support local locking. Data corruption may result if you run more than one OpenInsight from this workstation at the same time.",
            "<150>": "FS190:    Warning! The Banyan VINES Service Interrupt was not found. You will not be able to lock tables or records. Do not attempt multiuser operation.",
            "<151>": "FS191:    Warning! The BANCOM TSR was not found. You will not be able to lock tables or records. Do not attempt multiuser operation.",
            "<152>": "FS192:    Warning! The user's VINES StreetTalk name was not found. You will not be able to lock tables or records. Do not attempt multiuser operation.",
            "<153>": "FS193:    Warning! An error was encountered while opening the VINES Communications Socket. You will not be able to lock tables or records. Do not attempt multiuser operation.",
            "<154>": "FS194:    Warning! An error was encountered while initializing the network driver. You will not be able to lock tables or records. Do not attempt multiuser operation.",
            "<155>": "FS195:    Warning! No lock services were connected. You will not be able to lock tables or records. Do not attempt multiuser operation.",
            "<156>": "FS196:    Warning! An error was encountered while connecting the lock service for drive %1%. You will not be able to lock tables or records. Do not attempt multiuser operation.",
            "<157>": "FS200:    The \"%1%\" table is not available.",
            "<158>": "FS201:    The record \"%1%\" in the \"%2%\" table is not available.",
            "<159>": "FS202:    No error code was returned in @FILE.ERROR. %1% %2%",
            "<160>": "FS210:    The index table for \"%1%\" is not available.",
            "<161>": "FS211:    The index for the \"%2%\" field in the \"%1%\" table is corrupted. Please rebuild the index before retrying.",
            "<162>": "FS212:    Error while compiling the index transaction module for the \"%1%\" table.",
            "<163>": "FS213:    The index node \"%2%\" cannot be found in the index table \"%1%\".",
            "<164>": "FS214:    Index control information for the \"%1%\" table has been corrupted. Relational indexes should be rebuilt.",
            "<165>": "FS215:    The Quickdex or Rightdex index has been corrupted. You can rebuild the index by executing a \"LIST\" or \"SELECT\" command.",
            "<166>": "FS216:    Tables of this table type cannot be attached while a transaction is pending.",
            "<167>": "FS217:    Tables of this table type cannot be detached while a transaction is pending.",
            "<168>": "FS231:    Warning! Network Service Configuration Error.",
            "<169>": "FS250:    There is not enough memory to call the BASIC+ preprocessor/compiler. %1% bytes of memory are required but only %2% are available.",
            "<170>": "FS251:    Error in generating the Protection module.",
            "<171>": "FS252:    Error compiling Protection module.",
            "<172>": "FS253:    An error was encountered during the CALCULATEX process.",
            "<173>": "FS254:    Error locating a table in the \"SYSTABLES\" table. Table handle: \"%1%\".",
            "<174>": "FS255:    An error has occurred while attempting to create the \"%1%\" table. The table has not been created.",
            "<175>": "FS256:    A table cannot be renamed if it has been changed during the current transaction.",
            "<176>": "FS257:    An error has occurred while attempting to create the transaction log table \"%1%\". The table has not been created.",
            "<177>": "FS258:    Can not rename/tablecopy only data or dictionary part of the indexed table \"%1%\". Please remove keyword \"DATA\" or \"DICT\" in the command for completely renaming indexed tables.",
            "<178>": "FS259:    The \"%1%\" table has relational indexes on it and the related table \"%2%\" is not available or attached for updating control information.",
            "<179>": "FS260:    Too many locks. The lock limit of %1% has been exceeded.",
            "<180>": "FS261:    The lock tables are out of synchronization. Table name: \"%1%\" Record key: \"%2%\"",
            "<181>": "FS262:    The lock waiting period has expired. (%1% seconds).",
            "<182>": "FS263:    The lock wait has been canceled. Table name: \"%1%\" Record key: \"%2%\"",
            "<183>": "FS264:    General deadlock error on \"%1%\".",
            "<184>": "FS265:    The current transaction has been cancelled due to a deadlock. The transaction has been rolled back.",
            "<185>": "FS266:    Cross account relational index is not allowed. The \"%1%\" table has relational indexes on it and renaming/tablecopying table to a different account \"%2%\" violates this rule. Please remove the relational index and try again.",
            "<186>": "FS267:    The \"%1%\" table has relational/dependency indexes on it. Please specify \"D\" option to delete the source table after copying or take off relational/dependency indexes on the source table \"%1%\" and try again.",
            "<187>": "FS270:    The \"%1%\" column does not exist.",
            "<188>": "FS271:    The \"%1%\" column is not indexed.",
            "<189>": "FS272:    \"%2%\" is not a valid tablename in the \"%1%\" environment.",
            "<190>": "FS273:    \"%2%\" is not a valid field name in the \"%1%\" environment.",
            "<191>": "FS274:    The OpenInsight dictionary for the \"%1%\" table does not match the structure of the bonded table \"%2%\".",
            "<192>": "FS275:    The record \"%2%\" cannot be saved because it is write/delete-protected in the \"%1%\" table.",
            "<193>": "FS276:    The MFS list has been corrupted. MFS code: %1% MFS list: \"%2%\" The MFS list is missing the underlying BFS name for executing the next call.",
            "<194>": "FS277:    The code %1% is not a valid direction code for Readnext. Direction codes should be less than or equal to 3.",
            "<195>": "FS278:    An invalid READNEXT pointer was encountered.",
            "<196>": "FS279:    The record \"%1%\" cannot be deleted because it is delete-protected in the \"%2%\" table.",
            "<197>": "FS280:    The \"C\" subroutine data segment cannot be found in the \"%1%\" table, record \"%2%\".",
            "<198>": "FS281:    An undefined \"C\" error has occurred. Possible causes include insufficient memory, disk space, or operating system table handles.",
            "<199>": "FS290:    You cannot write or delete records because Quick/Rightdex for this table does not use the \"%2%\" language set specified in the current environment. Either: Reload the \"%1%\" language set - or - Re-install the Quick/Rightdex.",
            "<200>": "FS291:    List over 64k bytes in BTREE.SUB operations or RELATER routines.",
            "<201>": "FS292:    Invalid BFS type %1%.",
            "<202>": "FS293:    Cannot compile %1% in current product.",
            "<203>": "FS294:    The error detail is approaching 64k bytes.  The process has been aborted.",
            "<204>": "FS300:    The \"%1%\" table is not available.",
            "<205>": "FS301:    \"%1%\" is not a valid data type.",
            "<206>": "FS302:    A comma is missing in the type specification \"%1%\".",
            "<207>": "FS303:    Argument %2% for \"%1%\" is missing a quotation mark.",
            "<208>": "FS304:    The \"%1%\" bond cannot use the data type \"%2%\".",
            "<209>": "FS305:    The \"%1%\" bond does not require or use foreign field attributes.",
            "<210>": "FS306:    The \"%1%\" bond does not require or use table attributes.",
            "<211>": "FS307:    Invalid arguments were passed to BOND.SUBS.",
            "<212>": "FS308:    Argument %2% (\"%3%\") for the data type \"%1%\" is missing or invalid.",
            "<213>": "FS309:    The \"%1%\" table type requires data types for its dictionary fields.",
            "<214>": "FS310:    The %1% bond does not support or require foreign table attributes.",
            "<215>": "FS311:    The bond '%1%' was incorrectly called to dynamically derive a data type from data type '%2%'. Report this error to the vendor you purchased this bond from.",
            "<216>": "FS312:    The '%1%' bond was incorrectly called to dynamically select a type mapping for the data type '%2%'. Report this error to the bond developer.",
            "<217>": "FS313:    Data type '%1%' is defined to be a synonym for '%2%', but '%2%' is not a defined data type.",
            "<218>": "FS314:    Data type '%1%' is derived from data type '%2%', but '%2%' is not a defined data type.",
            "<219>": "FS315:    The user-specified mapping '%1%' is not a valid type mapping.",
            "<220>": "FS316:    The precision (the first argument) of data type DECIMAL must be greater than or equal to the scale (the second argument) of data type DECIMAL.",
            "<221>": "FS330:    The Sql Server returned the following errors: %1%",
            "<222>": "FS350:    Cannot read volume information from media record.",
            "<223>": "FS351:    Invalid/missing volume information.",
            "<224>": "FS352:    Volume %1% already exists.",
            "<225>": "FS353:    Missing/invalid media handle.",
            "<226>": "FS354:    Cache failure.",
            "<227>": "FS355:    Insufficient permissions for the requested action.",
            "<228>": "FS360:    The Encryption Server returned the following errors: %1%",
            "<229>": "FS361:    Encryption parameters not specified for table %1%.",
            "<230>": "FS362:    Invalid/missing passphrase information for volume.",
            "<231>": "FS363:    Encryption group parameter not specified for table.",
            "<232>": "FS364:    Encryption check value failure: %1%.",
            "<233>": "FS365:    Unable to encrypt table %1%: %2%.",
            "<234>": "FS400:    Invalid table handle.",
            "<235>": "FS401:    The \"%1%\" table has not been created or attached.",
            "<236>": "FS402:    The list cannot be found in the \"SYSLISTS\" table.",
            "<237>": "FS403:    There is a mismatch between the \"SYSVOLUMES\" and \"SYSTABLES\" tables during the \"%1%\" function.",
            "<238>": "FS404:    The \"%1%\" volume has the same label (\"%3%\") as the \"%2%\" volume and cannot be attached.",
            "<239>": "FS405:    The volume \"%1%\" cannot be attached.",
            "<240>": "FS410:    An invalid lock type was specified.",
            "<241>": "FS411:    The table is not locked.",
            "<242>": "FS412:    The record is not locked.",
            "<243>": "FS413:    Semaphore is not locked.",
            "<244>": "FS414:    Lock is held by this station.",
            "<245>": "FS415:    This lock is currently held by another station.",
            "<246>": "FS420:    %1% is an invalid Readnext direction.",
            "<247>": "FS421:    The operation has been cancelled.",
            "<248>": "FS430:    Error matching dictionary handles during a select operation.",
            "<249>": "FS431:    No more cursors are available.",
            "<250>": "FS432:    Invalid value for LIST.ACTIVE.",
            "<251>": "FS434:    The field type \"%1%\" is invalid in a sort list.",
            "<252>": "FS435:    The designated cursor cannot be cleared.",
            "<253>": "FS436:    Invalid cursor value.",
            "<254>": "FS437:    The sort expression contains the invalid field name \"%1%\".",
            "<255>": "FS438:    Error during SELECT. Multiple handles instead of IOPROC.",
            "<256>": "FS439:    Error in the Column Qualifier.",
            "<257>": "FS440:    Error merging a sort table.",
            "<258>": "FS441:    Error while extracting a sort table.",
            "<259>": "FS442:    Error while initializing the sort table '%1%'.",
            "<260>": "FS443:    Error writing to the sort table.",
            "<261>": "FS444:    Logical Error The key list has overflowed while sorting.",
            "<262>": "FS450:    Warning! Linear Hash Client/Server communication protocal not installed. Linear Hash Client/Server software will not be used. Use only local files or log out and check your workstation configuration.",
            "<263>": "FS451:    Warning! Unable to open a Linear Hash Client/Server communication protocal connection. Linear Hash Client/Server software will not be used. Use only local files or log out and check your workstation configuration.",
            "<264>": "FS452:    Warning! Unable to locate an initial Linear Hash Server. Linear Hash Client/Server software will not be used. Use only local files or log out and check your workstation configuration.",
            "<265>": "FS453:    Warning! The Linear Hash Client/Server TSR is not installed. Linear Hash Client/Server software will not be used. Use only local files or log out and check your workstation configuration.",
            "<266>": "FS454:    Warning! Error allocating local resources for Linear Hash Client/Server access. Linear Hash Client/Server software will not be used. Use only local files or log out and check your workstation configuration.",
            "<267>": "FS455:    Linear Hash Client/Server. Get Canocical Path Error. File name \"%1%\". Error number \"%2%\".",
            "<268>": "FS456:    Linear Hash Client/Server. Local File Error. File name \"%1%\".",
            "<269>": "FS457:    Linear Hash Client/Server. File Name Format Error. File name \"%1%\".",
            "<270>": "FS458:    Linear Hash Client/Server. Client Allocation Error. Unable to allocate needed client resources for Linear Hash Server access.",
            "<271>": "FS459:    Linear Hash Client/Server. Invalid Client File Handle.",
            "<272>": "FS460:    Linear Hash Client/Server. Invalid Client Server Handle.",
            "<273>": "FS461:    Linear Hash Client/Server. Get Local Target Error.",
            "<274>": "FS462:    Linear Hash Client/Server. No Linear Hash Server.",
            "<275>": "FS463:    Linear Hash Client/Server. TSR Server Table Full. Restart the Linear Hash Client/Server TSR with a larger server table size parameter setting.",
            "<276>": "FS464:    Linear Hash Client/Server. Send Packet Error.",
            "<277>": "FS465:    Linear Hash Client/Server. Receive Packet Error.",
            "<278>": "FS466:    Linear Hash Client/Server. No Server Response.",
            "<279>": "FS467:    Linear Hash Client/Server. Client Server Table Full.",
            "<280>": "FS468:    Linear Hash Client/Server. Client File Table Full.",
            "<281>": "FS469:    Linear Hash Client/Server. Duplicate Server Serial Number.",
            "<282>": "FS470:    Linear Hash Client/Server. Server Allocation Error. Unable to allocate needed server resources for Linear Hash Server access.",
            "<283>": "FS471:    Linear Hash Client/Server. Packet Size Error.",
            "<284>": "FS472:    Linear Hash Client/Server. Server Set Connection Error.",
            "<285>": "FS473:    Linear Hash Client/Server. Server Set Task Error.",
            "<286>": "FS474:    Linear Hash Client/Server. Next Packet Error.",
            "<287>": "FS477:    Linear Hash Client/Server. Unable to open the Linear Hash file because Server Only Access Mode has been specified in the REVPARAM file.",
            "<288>": "FS478:    Linear Hash Client/Server. Using invalid Revelation file variable.",
            "<289>": "FS479:    Linear Hash Client/Server. Client Open File Table Full.",
            "<290>": "FS480:    Linear Hash Client/Server. Client Not Initialized.",
            "<291>": "FS481:    Linear Hash Client/Server. Server File Open Error. File name \"%1%\".",
            "<292>": "FS482:    Linear Hash Client/Server. Temporary Server Allocation Error.",
            "<293>": "FS483:    Linear Hash Client/Server. Server File Close Error. File name \"%1%\".",
            "<294>": "FS484:    Linear Hash Client/Server. Version 1 Linear Hash File Format. File name \"%1%\".",
            "<295>": "FS485:    Linear Hash Client/Server. Invalid Server File Handle.",
            "<296>": "FS486:    Linear Hash Client/Server. Invalid Server File Variable.",
            "<297>": "FS487:    Linear Hash Client/Server. Server Connection Syncronization Error.",
            "<298>": "FS488:    Linear Hash Client/Server. Server Task Syncronization Error.",
            "<299>": "FS489:    Linear Hash Client/Server. Server Lock Allocation Error.",
            "<300>": "FS490:    Linear Hash Client/Server. Server File Handle Table Full. Restart the Linear Hash Server software with a larger File Handle Table size.",
            "<301>": "FS491:    Linear Hash Client/Server. Server File Variable Table Full. Restart the Linear Hash Server software with a larger File Variable Table size.",
            "<302>": "FS492:    Linear Hash Client/Server. Linear Hash Version Syncronization Error.",
            "<303>": "FS493:    Group Format Error! OS File : %1% Group # : %2% The group contains an invalid frame type value.",
            "<304>": "FS494:    Group Format Error! OS File : %1% Group # : %2% An invalid frame type value was about to be written.",
            "<305>": "FS495:    Group Format Error! OS File : %1% Group # : %2% The group contains a record which does not belong.",
            "<306>": "FS496:    Linear Hash Client/Server. Record size exceeds 65532.",
            "<307>": "FS497:    Linear Hash Client/Server. Id group size exceeds 65532.",
            "<308>": "FS499:    Extended error: %1%",
            "<309>": "FS1000:   File name length exceeds maximum path length.",
            "<310>": "FS1001:   The total length of all key ids in the group exceeds the maximum variable length.",
            "<311>": "FS1002:   The record length exceeds the maximum variable length.",
            "<312>": "FS1003:   Group Format Error: OS File : %1% Group # : %2% Invalid frame header during read.",
            "<313>": "FS1004:   Group Format Error: OS File : %1% Group # : %2% Invalid frame header during write.",
            "<314>": "FS1005:   File name length exceeds maximum path length.",
            "<315>": "FS1006:   Unable to determine the complete UNC path of the file name.",
            "<316>": "FS1007:   Internal initialization error.",
            "<317>": "FS1008:   File creation error.",
            "<318>": "FS1009:   File open error.",
            "<319>": "FS1010:   Lock error.",
            "<320>": "FS1011:   Shared lock error.",
            "<321>": "FS1012:   Group lock error.",
            "<322>": "FS1013:   Group lock timeout error.",
            "<323>": "FS1014:   Unable to allocate temporary buffer.",
            "<324>": "FS1015:   Unable to allocate internal buffer.",
            "<325>": "FS1016:   Record Key too long.",
            "<326>": "FS1017:   Unable to allocate lock buffer.",
            "<327>": "FS1018:   Version syncronization error.",
            "<328>": "FS1019:   Server only access specified in REVPARAM file.",
            "<329>": "FS1020:   Unable to open REVLOCKS file at workstation.",
            "<330>": "FS1021:   Maximum number of volume users exceeded.",
            "<331>": "FS1022:   Maximum number of OpenInsight users exceeded.",
            "<332>": "FS1023:   Test lock timeout error.",
            "<333>": "FS1024:   Volume user lock error.",
            "<334>": "FS1025:   OpenInsight user lock error.",
            "<335>": "FS1026:   Cache flush locked by other.",
            "<336>": "FS1027:   Cache flush lock error.",
            "<337>": "FS1028:   Claim mutual exclusion semaphore error.",
            "<338>": "FS1029:   Out of file handles error.",
            "<339>": "FS1030:   Unable to open REVLOCKS file at server.",
            "<340>": "FS1100:   Resource not initialized error.",
            "<341>": "FS1101:   Resource already initialized error.",
            "<342>": "FS1102:   Resource in use error.",
            "<343>": "FS1103:   Error number %2% returned during RCL initialize.",
            "<344>": "FS1104:   Error number %2% returned during RCL connect.",
            "<345>": "FS1105:   Error number %2% returned during RCL request reply.",
            "<346>": "FS1106:   Error number %2% returned during RCL disconnect.",
            "<347>": "FS1107:   Error number %2% returned during RCL get statistics.",
            "<348>": "FS1108:   Remote path error.",
            "<349>": "FS1109:   Duplicate server serial number.",
            "<350>": "",
            "<351>": "RDK100:   SYSLISTS table not attached.",
            "<352>": "RDK101:   APPID argument required.",
            "<353>": "RDK102:   Specified application (APPID) does not exist.",
            "<354>": "RDK103:   Specified entity does not exist.",
            "<355>": "RDK104:   SYSREPOSVIEWS table not attached.",
            "<356>": "RDK105:   View exists, collision.",
            "<357>": "RDK106:   Logical error in add.",
            "<358>": "RDK107:   Logical error in remove.",
            "<359>": "RDK108:   View definition does not exist.",
            "<360>": "RDK110:   Target directory not specified.",
            "<361>": "RDK111:   RDK deploy spec record missing from SYSENV table.",
            "<362>": "RDK112:   Error copying table %1% to target directory %2%.",
            "<363>": "RDK113:   Error creating table %1% on target directory %2%.",
            "<364>": "RDK114:   Error copying record %2% into table %1%.",
            "<365>": "RDK115:   User canceled extraction process.",
            "<366>": "RDK116:   List exceeds maximum length.",
            "<367>": "RDK117:   Error deleting file \"%1%\".",
            "<368>": "RDK118:   Could not retain path \"%1%\" for table \"%2%\".",
            "<369>": "RDK119:   Default data volume is necessary for extraction.",
            "<370>": "RDK120:   Cannot create non-relative directory %1%.",
            "<371>": "RDK121:   Error creating relative directory %1%.",
            "<372>": "RDK122:   Extraction directory %1% is invalid",
            "<373>": "RDK123:   The Extraction directory \"%1%\" contains a Repository.",
            "<374>": "RDK124:   The Extraction directory \"%1%\" contains OpenInsight files.",
            "<375>": "RDK126:   Error writing installation definition record.",
            "<376>": "RDK127:\t  Error creating user record.",
            "<377>": "RDK125:\t  Operating system error. Cannot validate extraction directory",
            "<378>": "",
            "<379>": "RWD100:   Cannot copy an image file to the specified location.",
            "<380>": "",
            "<381>": "SSP100:  A null table name is not allowed.",
            "<382>": "SSP101:  Database record missing %1% database name",
            "<383>": "SSP102:  Parameter contains system delimiters ( i.e. @FM, @VM, ... )",
            "<384>": "SSP103:  User has terminated the request.",
            "<385>": "SSP110:  User must have administrative privileges for this operation.",
            "<386>": "SSP111:  Error %1% while sending data.",
            "<387>": "SSP112:  The system identifier %1% is invalid.",
            "<388>": "SSP113:  Invalid dictionary data type specified.",
            "<389>": "SSP114:  The system administrative privileges can not be modified for the author of the application.",
            "<390>": "SSP115:  User must have system administrative privileges for this operation.",
            "<391>": "SSP116:  Lower level user is not allowed to create/update attribute(s) of higher level user.",
            "<392>": "",
            "<393>": "SSP200:  The \"%1%\" system table cannot be deleted.",
            "<394>": "SSP205:  The \"%1%\" system table cannot be cleared.",
            "<395>": "SSP210:  The drive specifier \"%1%\" is invalid for the table copy process.",
            "<396>": "SSP211:  Not enough disk space is available to copy the table.",
            "<397>": "SSP212:  Copying between two different filing systems (\"%1%\" and \"%2%\") is not allowed.",
            "<398>": "SSP213:  The table \"%1%\" cannot be copied to itself.",
            "<399>": "SSP214:  The table \"%1%\" already exists; the copy was not performed.",
            "<400>": "SSP215:  The table \"%1%\" does not exists; the copy was not performed.",
            "<401>": "SSP216:  The copy process failed.",
            "<402>": "SSP217:  Name mismatch error.",
            "<403>": "SSP220:  The \"%1%\" system table cannot be renamed.",
            "<404>": "SSP221:  \"%1%\" is an aliased table name and cannot be renamed.",
            "<405>": "SSP225:  The table and volume parameters are inconsistent with each other.",
            "<406>": "SSP226:  A group format error has been detected in volume \"%1%\".",
            "<407>": "SSP230:  Required server name not passed.",
            "<408>": "SSP231:  Required bond database name not passed.",
            "<409>": "SSP232:  Required bond user name not passed.",
            "<410>": "SSP233:  Server name passed is not valid.",
            "<411>": "SSP234:  Bond Database name passed is not valid.",
            "<412>": "SSP235:  Bond User name passed is not valid.",
            "<413>": "SSP236:  Bond Password passed is not valid.",
            "<414>": "SSP237:  \"%1%\" is an invalid table type.",
            "<415>": "SSP238:  Table type \"%1%\" is not a server based filng system.",
            "<416>": "SSP245:  Aliasing is not allowed for the \"%1%\" filing system.",
            "<417>": "SSP246:  The \"%1%\" system table cannot be aliased.",
            "<418>": "SSP247:  Name \"%1%\" and \"%2%\" mismatching error.",
            "<419>": "SSP248:  Table record \"%1%\" is missing in revmedia.",
            "<420>": "SSP271:  The header of the table %1% is corrupted. FIX_LH cannot continue.",
            "<421>": "SSP272:  Fix type \"%1%\" is invalid.",
            "<422>": "SSP273:  Another station is currently fixing table and have semaphore %1% locked. Please wait until the other station is finished.",
            "<423>": "SSP280:  Table \"%1%\" not found at \"%2%\", filing system \"%3%\".",
            "<424>": "SSP281:  Invalid table name \"%1%\".",
            "<425>": "SSP282:  Table \"%1%\" does not have control features on.",
            "<426>": "SSP283:  Table \"%1%\" already has control features on.",
            "<427>": "SSP284:  Unable to add control features to \"%1%\" table.",
            "<428>": "SSP285:  \"%1%\" is already a master definition for this column position",
            "<429>": "SSP286:  \"%1%\" must be a master column definition",
            "<430>": "SSP287:  Table is not used in application \"%1%\"",
            "<431>": "SSP288:  Inherited Application \"%1%\" does not exist",
            "<432>": "SSP289:  Table \"%1%\" is open in the IDE",
            "<433>": "",
            "<434>": "SSP301:  \"%1%\" is an invalid environment attribute value.",
            "<435>": "SSP310:  The database identifier \"%1%\" is not valid; it must be 8 characters or less.",
            "<436>": "SSP311:  The %1% database template already exists.",
            "<437>": "SSP312:  Error writing the environment record %1%.",
            "<438>": "SSP313:  The database template exceeds 64K.",
            "<439>": "SSP314:  The database template was not found.",
            "<440>": "SSP320:  User id \"%1%\" contains invalid character(s).",
            "<441>": "SSO321:  Error writing the user record.",
            "<442>": "SSP322:  Password must be between 6 and 20 characters.",
            "<443>": "SSP323:  The user id is already registered - no overwrite specified.",
            "<444>": "SSP324:  The user id was not found in the user record.",
            "<445>": "SSP325:  The user id cannot be deleted or modified.",
            "<446>": "SSP326:  User level %1% is not valid;  User level should be from 0 to 2.",
            "<447>": "SSP327:  The current user does not have access priveleges to this app.",
            "<448>": "SSP330:  \"%1%\" is an invalid dictionary parameter.",
            "<449>": "SSP331:  Error writing symbolic column.",
            "<450>": "SSP332:  Open media failed on the following volume(s): %1%.  Please redefine database after you login.",
            "<451>": "SSP333:  Invalid sort path specified: %1%.  Please redefine it.",
            "<452>": "SSP340:  Dos file name and Dos File Extenstion TRUNCATED",
            "<453>": "SSP341:  Dos file name TRUNCATED",
            "<454>": "SSP342:  Dos File Extenstion TRUNCATED",
            "<455>": "SSP343:  Dos File Name contained Invalid chars",
            "<456>": "SSP344:  Invalid search method \"%1%\"",
            "<457>": "",
            "<458>": "SSP601:  Unable to lock column(s) %1% in row \"%2%\".",
            "<459>": "SSP602:  %1% column(s) successfully locked.",
            "<460>": "SSP603:  Unable to lock row \"%1%\".",
            "<461>": "SSP604:  Row \"%1%\" successfully locked.",
            "<462>": "SSP605:  Unable to lock table \"%1%\".",
            "<463>": "SSP606:  Table \"%1%\" successfully locked.",
            "<464>": "SSP607:  Invalid locktype \"%1%\".",
            "<465>": "SSP608:  Unable to unlock column(s) %1% in row \"%2%\".",
            "<466>": "SSP609:  %1% column(s) successfully unlocked.",
            "<467>": "SSP610:  Unable to unlock row \"%1%\".",
            "<468>": "SSP611:  Row \"%1%\" successfully unlocked.",
            "<469>": "SSP612:  Unable to delete row(s) %1%; %2% row(s) deleted.",
            "<470>": "SSP613:  %1% row(s) deleted.",
            "<471>": "SSP614:  Row \"%1%\" deleted.",
            "<472>": "SSP615:  Row \"%1%\" successfully written.",
            "<473>": "SSP616:  %1% column(s) successfully written.",
            "<474>": "SSP617:  %1% row(s) successfully copied.",
            "<475>": "SSP618:  Unable to copy row(s) %1%. %2% row(s) copied.",
            "<476>": "SSP619:  \"%1%\" is an invalid column.",
            "<477>": "SSP620:  Write denied.",
            "<478>": "SSP621:  All locks successfully unlocked.",
            "<479>": "SSP622:  \"%1%\" is an invalid %2% option.",
            "<480>": "SSP623:  Unable to read row(s) %1%;  %2% row(s) read.",
            "<481>": "SSP624:  %1% row(s) successfully read.",
            "<482>": "SSP625:  Destination row/table %1% already exists.",
            "<483>": "SSP626:  Destination row/table %1% does not exist.",
            "<484>": "SSP627:  Converted row string size exceeds 65532 bytes.",
            "<485>": "SSP628:  Unable to unlock table \"%1%\".",
            "<486>": "SSP629:  Table \"%1%\" successfully unlocked.",
            "<487>": "SSP633:  Required parameter missing.",
            "<488>": "SSP634:  No Servers found",
            "<489>": "",
            "<490>": "SSP700:  Index type \"%1%\" is invalid.",
            "<491>": "SSP701:  Index type \"%2%\" has not been created for column \"%1%\".",
            "<492>": "SSP702:  Sort mode \"%1%\" is invalid.",
            "<493>": "SSP703:  Index type \"%2%\" has already been created for column \"%1%\".",
            "<494>": "SSP704:  Case mode \"%1%\" is invalid.",
            "<495>": "SSP705:  Create mode \"%1%\" is invalid.",
            "<496>": "SSP706:  Stop mode \"%1%\" is invalid.",
            "<497>": "SSP707:  The related table \"%1%\" does not exist.",
            "<498>": "SSP708:  Different sort modes \"%1%\" and \"%2%\" are not allowed for many-to-one relational indexes.",
            "<499>": "SSP709:  Cannot create/delete index for table \"%2%\" belongs to a different database \"%1%\".",
            "<500>": "SSP710:  Cannot create index for table \"%1%\" under a different account \"%2%\".",
            "<501>": "SSP711:  Cannot create index for table \"%1%\" when it has a Quickdex/Rightdex on its dictionary.",
            "<502>": "",
            "<503>": "SYS1000:  Error loading program \"%1%\".",
            "<504>": "SYS1001:  Null loading error.",
            "<505>": "SYS1002:  The object code is invalid.",
            "<506>": "SYS1003:  The maximum number of programs has been exceeded.",
            "<507>": "SYS1004:  Error loading dictionary item \"%1%\".",
            "<508>": "SYS1005:  Cannot DICT insert into symbolic (%1%)",
            "<509>": "SYS1006:  Module \"%1%\" terminated due to runtime restrictions.",
            "<510>": "SYS1008:  Invalid login null user name.",
            "<511>": "SYS1009:  Invalid login user name.",
            "<512>": "SYS1010:  Invalid login password.",
            "<513>": "SYS1011:  Invalid login (Account disabled due to excessive attempts).",
            "<514>": "SYS1012:  Invalid login (Workstation disabled due to excessive attempts).",
            "<515>": "",
            "<516>": "SYS1100:  The \"%1%\" event for \"%2%\" contains syntax errors.",
            "<517>": "SYS1101:  Compiler error: Preprocessing error.",
            "<518>": "SYS1102:  Compiler error: Source code exceeds maximum size for compiler.",
            "<519>": "SYS1103:  Compiler error: Old tablename; record name format is not supported. Invalid $insert.",
            "<520>": "SYS1104:  Compiler error: Module \"%1%\" Line \"%2%\" : Invalid $USES entity name[%3%]",
            "<521>": "SYS1105:  Compiler error: Module \"%1%\" Line \"%2%\" : $INSERT access error [%3%]",
            "<522>": "SYS1106:  Compiler error: Module \"%1%\" Line \"%2%\" : $INSERT circular reference error [$INSERT %3%]",
            "<523>": "SYS1107:  Compiler error: Module \"%1%\" Line \"%2%\" : Unmatched compiler define condition",
            "<524>": "",
            "<525>": "SYS1111:  Compiler error: Contract must be before executable code",
            "<526>": "SYS1112:  Compiler error: Contract BEGIN CONDITION is missing.",
            "<527>": "SYS1113:  Compiler error: Contract END CONDITION is missing.",
            "<528>": "SYS1114:  Compiler error: Contract contains multiple PRE: statements.",
            "<529>": "SYS1115:  Compiler error: Contract contains multiple POST: statements.",
            "<530>": "SYS1116:  Compiler error: Contract PRE: statement is missing.",
            "<531>": "SYS1117:  Compiler error: Contract POST: statement is missing.",
            "<532>": "SYS1119:  Compiler error: %1%",
            "<533>": "",
            "<534>": "SYS1120:  Compiler warning: Unassigned Variable \"%1% on line: \"%2%\"",
            "<535>": "SYS1121:  Compiler information:  \"%1% elapsed time \"%2%\" secs",
            "<536>": "SYS1122:  Compiler warning: Variable \"%1% on line \"%2%\" ends with \"$\"",
            "<537>": "SYS1123:  Compiler warning: Equate \"%1% on line \"%2%\" does not end with \"$\"",
            "<538>": "SYS1124:  Compiler warning: Debug statement found",
            "<539>": "SYS1125:  Compiler warning: %1%",
            "<540>": "",
            "<541>": "SYS1200:  The process has been aborted.",
            "<542>": "SYS1201:  This feature is not supported.",
            "<543>": "SYS1210:  The procedure type is invalid.",
            "<544>": "SYS1211:  A left parenthesis is missing.",
            "<545>": "SYS1212:  A right parenthesis is missing.",
            "<546>": "SYS1213:  The argument type is invalid.",
            "<547>": "SYS1214:  An argument identifier is missing.",
            "<548>": "SYS1215:  The compilation has failed.",
            "<549>": "SYS1216:  Too many arguments have been passed.",
            "<550>": "SYS1217:  A ROWDEF is missing in the routine.",
            "<551>": "SYS1220:  The object code is missing.",
            "<552>": "SYS1221:  The argument is invalid.",
            "<553>": "SYS1222:  PutData has failed.",
            "<554>": "SYS1223:  The stored procedure name is invalid.",
            "<555>": "SYS1224:  The procedure cannot be overwritten.",
            "<556>": "SYS1230:  SQL read error.",
            "<557>": "SYS1240:  A comma or quote is missing in the script.",
            "<558>": "SYS1241:  A matching quote is missing in the script.",
            "<559>": "SYS1242:  The parameter number in the script is invalid.",
            "<560>": "SYS1243:  The list is too deeply nested in brackets.",
            "<561>": "SYS1244:  The script contains an invalid character.",
            "<562>": "SYS1245:  A matching bracket is missing in the script.",
            "<563>": "",
            "<564>": "SYS1250: The prototype definition is missing",
            "<565>": "SYS1251: The prototype return type is missing",
            "<566>": "SYS1252: The prototype calling convention is missing",
            "<567>": "SYS1253: The prototype function name is missing",
            "<568>": "SYS1254: \"%1%\" is not a valid variable type",
            "<569>": "SYS1255: \"%1%\" is not a valid calling convention",
            "<570>": "SYS1256: \"%1%\" is not a valid internal function pointer",
            "<571>": "SYS1257: The prototype definition is missing",
            "<572>": "",
            "<573>": "SYS1300:  Cannot detach or redefine table %1%.",
            "<574>": "SYS1301:  Table was not found in volume rec table list.",
            "<575>": "SYS1302:  Volume record for attached table is missing.",
            "<576>": "SYS1303:  Table list in the volume record does not synch with the systables record.",
            "<577>": "",
            "<578>": "SYS1500:  Primary row locked: Table %1%, key %2%",
            "<579>": "SYS1501:  Subsidiary row locked:  Table %1% key %2%",
            "<580>": "SYS1502:  Locks missing at update time",
            "<581>": "SYS1503:  Form fetch denormalization beyond 2nd levels is not supported",
            "<582>": "",
            "<583>": "SYS1901:  Table list cannot be null.",
            "<584>": "SYS1913:  Database record is missing in control table.",
            "<585>": "SYS1915:  Alias with wrong table type.",
            "<586>": "SYS1916:  Aliasing system tables is not allowed.",
            "<587>": "SYS1917:  Alias table name cannot be null.",
            "<588>": "SYS1918:  Renaming system tables is not allowed.",
            "<589>": "SYS1919:  Renaming alias tables is not allowed.",
            "<590>": "SYS1920:  Database record is missing.",
            "<591>": "",
            "<592>": "SYS1980:  Error opening structure definition table \"%1%\" [%2%]",
            "<593>": "SYS1981:  Error reading structure definition for \"%1%\" [%2%]",
            "<594>": "",
            "<595>": "B100:  Line %1%.  THEN/ELSE not terminated with END.  Invalid keyword: %2%.",
            "<596>": "B101:  Line %1%.  Illegal Statement Termination:  %2%",
            "<597>": "B102:  Line %1%.  Illegal Statement:  %2%.",
            "<598>": "B103:  Line %1%.  Label %2% is missing.",
            "<599>": "B104:  Line %1%.  Label %2% is doubly defined.",
            "<600>": "B105:  Line %1%.  %2% has not been dimensioned or declared for use as a function or subroutine.",
            "<601>": "B106:  Line %1%.  Variable has been dimensioned and used without subscripts.",
            "<602>": "B108:  Line %1%.  FOR statement not terminated with \"NEXT\" keyword.",
            "<603>": "B113:  Line %1%.  Illegal expression encountered.",
            "<604>": "B114:  Line %1%.  Maximum number of variables exceeded.",
            "<605>": "B115:  Line %1%.  Label %2% is used before the EQUATE statement.",
            "<606>": "B120:  Line %1%.  Statements exist after final \"END\" statement.  Check for unmatched conditionals.",
            "<607>": "B123:  Line %1%.  End of source reached with unmatched IF, ELSE, FOR, LOOP or  CASE block.",
            "<608>": "B200:  Line %1%.  Input Error",
            "<609>": "B201:  Line %1%.  Unterminated conditional clause.",
            "<610>": "B202:  Line %1%.  Unterminated conditional clause.",
            "<611>": "B203:  Line %1%.  Illegal expression following logical %2% operator.",
            "<612>": "B204:  Line %1%.  Illegal expression following MATCHES operator.",
            "<613>": "B205:  Line %1%.  Illegal expression following comparison operator.",
            "<614>": "B206:  Line %1%.  Illegal expression following concatenation operator.",
            "<615>": "B207:  Line %1%.  Illegal expression following negation operator.",
            "<616>": "B208:  Line %1%.  Illegal expression following addition operator.",
            "<617>": "B209:  Line %1%.  Illegal expression following subtraction operator.",
            "<618>": "B210:  Line %1%.  Illegal expression following multiplication operator.",
            "<619>": "B211:  Line %1%.  Illegal expression following division operator.",
            "<620>": "B212:  Line %1%.  Illegal expression following power operator.",
            "<621>": "B213:  Line %1%.  Reserved keyword %2% encountered in expression.",
            "<622>": "B214:  Line %1%.  Right paren \")\" missing.",
            "<623>": "B215:  Line %1%.  Right curly brace \"}\" missing.",
            "<624>": "B216:  Line %1%.  THEN keyword is required.",
            "<625>": "B217:  Line %1%.  Illegal expression following THEN.",
            "<626>": "B218:  Line %1%.  ELSE keyword is required.",
            "<627>": "B219:  Line %1%.  Illegal expression following ELSE.",
            "<628>": "B300:  Line %1%.  Generated object code exceeds 65535 bytes.",
            "<629>": "",
            "<630>": "//Arev B errors - see SYSPROG, BERRORS",
            "<631>": "B101:  \" toSort mode selected is not correct.  Column %1% already has relational index with %2% mode.  Please apply this mode for creating c",
            "<632>": "B102:  \" to %1% already has a relational index established  from table %2%.  The Relational index cannot be set again from table %3%.  ",
            "<633>": "B103:  \" to Compressing %1%...  ",
            "<634>": "B104:  %1% has been selected, but cannot be found in %2%.  ",
            "<635>": "B105:  The dBASEIII file %1% already exists.  Do you want to overwrite it?  ",
            "<636>": "B106:  The dBASEIII memo file %1% already exists.  Do you want to overwrite it?  ",
            "<637>": "B107:  Cannot find the %1% command in the LIST.SUB subroutines.  ",
            "<638>": "B108:  Enter number.  ",
            "<639>": "B109:  Enter text without quotes.  ",
            "<640>": "B110:  Port Call:  ",
            "<641>": "B111:  An invalid option was used in the \"PORT\" command.  ",
            "<642>": "B112:  The code %2% is not valid in \"%1%\".  ",
            "<643>": "B113:  The %1% option is not currently implemented.  ",
            "<644>": "B114:  Not available.  ",
            "<645>": "B115:  The column must not be a symbolic, group, or key column, or have a relational index on it.  ",
            "<646>": "B116:  You must first select a column.  ",
            "<647>": "B117:  Enter a table name followed by a slash (/) and a column name.  ",
            "<648>": "B118:  Warning!  All index information  will be deleted from %1%.  Do you want to continue?  ",
            "<649>": "B119:  Clearing indexing information in %1%...  ",
            "<650>": "B120:  Deleting Cross Reference information from %1%...  ",
            "<651>": "B121:  The character column %1% is longer than the 254 character limit. Use a memo field for this column.  ",
            "<652>": "B123:  Finding indexed tables...  ",
            "<653>": "B124:  Collecting indexing information...  ",
            "<654>": "B125:  Enter a new table name for the save list statement. Press [Esc] to cancel the process.  ",
            "<655>": "B126:  %1% is a new row.  ",
            "<656>": "B127:  %1% is an invalid row.  ",
            "<657>": "B128:  Hours cannot exceed 12.  ",
            "<658>": "B129:  Text cut into buffer %1%.  ",
            "<659>": "B130:  \"%1%\" was not found.  ",
            "<660>": "B131:  The default macro set %1% cannot be found.  ",
            "<661>": "B132:  The header for group 1 has been corrupted.  No framesize or modulo information can be read.  Do you want to fix group 1?  ",
            "<662>": "B133:  Cannot determine the framesize of this table.  Please enter your best estimate for the framesize in bytes.  ",
            "<663>": "B134:  Framesize must divide evenly into the filesize (%1%).  ",
            "<664>": "B135:  The FRAMESIZE must be between 256 and 10000.  ",
            "<665>": "B136:  The FRAMESIZE parameter must be numeric.  ",
            "<666>": "B137:  Enter a group or group range to fix. Formats are: x, x-y, ALL. Press [Esc] to cancel the process.  ",
            "<667>": "B138:  Response = %1%  ",
            "<668>": "B139:  Fixing groups %1% through %2%...  ",
            "<669>": "B140:  Rebuilding the primary % figure...  ",
            "<670>": "B141:  Copying all good rows found from a temporary table back into re-initialized groups...  ",
            "<671>": "B142:  Another station is fixing. Please try again later.  ",
            "<672>": "B143:  The overflow freelist has been cleared. You can issue a compress to recover and re-order the overflow frames.  ",
            "<673>": "B144:  Compress file.  There must be no other user of this file.  After compression, this file should be  re-attached at all other s",
            "<674>": "B145:  An error occurred during the compress operation. The operation has been canceled.  ",
            "<675>": "B146:  The drive %1% does not contain Advanced Revelation files.  ",
            "<676>": "B147:  The program OCONV.RUN is not available in the SYSOBJ table.  ",
            "<677>": "B148:  Enter the names of the programs to display.  ",
            "<678>": "B149:  The %1% table was not found.  Do you want to list all indexed tables?  ",
            "<679>": "B150:  The %1% table is not indexed.  Do you want to list all indexed tables?  ",
            "<680>": "B151:  You have defined an index. Do you want to turn it on?  ",
            "<681>": "B152:  *CAUTION* You have asked to delete rows from SYSCOLUMNS. These rows will also be deleted from your dictionaries. Do you want to c",
            "<682>": "B153:  The %1% column  in the %2% table  is not available.  Do you want to list all indexed columns?  ",
            "<683>": "B154:  Will \"%1%\" be a key prompt?  ",
            "<684>": "B155:  Finding the %1% column in the dictionary...  ",
            "<685>": "B156:  %1% cannot be found. It must exist in %2%.  ",
            "<686>": "B157:  %1% is currently a Data Column at position %3%  Do you want to convert it to a Symbolic column?  ",
            "<687>": "B158:  No formula has been saved.  ",
            "<688>": "B159:  The formula was not changed.  ",
            "<689>": "B160:  Collector windows do not use dictionary formulas.  ",
            "<690>": "B161:  The object code for %2% cannot be found in the %1% table. %2% is also not cataloged. Please enter the name of the table containin",
            "<691>": "B162:  The window %1% cannot be found.  ",
            "<692>": "B163:  Updating the dictionary...  ",
            "<693>": "B164:  %1% did not bind correctly.  ",
            "<694>": "B165:  No index values were found.  ",
            "<695>": "B166:  Cannot find the row %1% in the %2% table.  ",
            "<696>": "B167:  Collecting information about indexes...  ",
            "<697>": "B168:  Key capture functions have been disabled.  ",
            "<698>": "B169:  This is an invalid key.  ",
            "<699>": "B170:  Macro execution has been disabled.  ",
            "<700>": "B171:  Window %1% is about  to be deleted from %2%.  Do you want to continue?  ",
            "<701>": "B172:  Deleting...  ",
            "<702>": "B173:  No columns are indexed in %1%.  ",
            "<703>": "B174:  Sorting is not allowed within a protected group.  ",
            "<704>": "B175:  Sorting is not allowed before row %1%.  ",
            "<705>": "B176:  Enter the number of rows to select or leave this blank to select all rows.  ",
            "<706>": "B177:  Enter heading text for this column.  ",
            "<707>": "B178:  Enter an output format code.  (example: \"D2/\" for a date format of mm/dd/yy)  ",
            "<708>": "B179:  Enter a heading.  ",
            "<709>": "B180:  Enter a footing.  ",
            "<710>": "B181:  QBEC1, HORMV.OUT sync error?  ",
            "<711>": "B182:  QBEC1, HORMV.SCB out of sync?  ",
            "<712>": "B184:  Building query...  ",
            "<713>": "B185:  Updating %1% in the %2% table...  ",
            "<714>": "B186:  No key prompt was specified. The default key prompt will be %1%.  ",
            "<715>": "B187:  You must create at least one prompt before you can save this window.  The save operation has been canceled.  ",
            "<716>": "B188:  The window %1% was not locked. No changes will be saved.  ",
            "<717>": "B189:  Join prompt %1% cannot be found.  ",
            "<718>": "B190:  Do you want to execute the filter?  ",
            "<719>": "B191:  %1%, needed for index transactions is not available. Indexes depending on this table will probably need rebuilding.  ",
            "<720>": "B192:  The Lotus file %1% already exists.  Do you want to overwrite it?  ",
            "<721>": "B193:  Enter a variable name.  ",
            "<722>": "B194:  Editing must be complete to continue.  ",
            "<723>": "B195:  There is nothing to pan.  ",
            "<724>": "B196:  This label is as large as you can make it in the current window.  ",
            "<725>": "B197:  You have reached the edge of window space. You may want to try resizing your window using [Ctrl-F7].  ",
            "<726>": "B198:  The dictionary of %1% is in use. No changes will be saved.  ",
            "<727>": "B199:  The dictionary is in use elsewhere. The binding cannot be changed.  ",
            "<728>": "B200:  You have maximized this prompt entry in the current window. You may want to try resizing your window using [Ctrl-F7].  ",
            "<729>": "B201:  Reading window...  ",
            "<730>": "B202:  %1% has %2% installed.  Do you want to remove %2%?  ",
            "<731>": "B203:  Removing the %1% modifying filing system from %2%...  ",
            "<732>": "B204:  Waiting until the source record %1% can be locked...  ",
            "<733>": "B205:  %1% is locked.  ",
            "<734>": "B206:  No R/LIST program was generated. An invalid expression or column  has been detected in line %1%.  ",
            "<735>": "B207:  %1% is not a valid dBASEIII file.  ",
            "<736>": "B208:  Do you want to perform the conversion?  ",
            "<737>": "B209:  That is an invalid color name.  ",
            "<738>": "B210:  If no record delimiter is specified, a record length must be specified.  ",
            "<739>": "B211:  The operating system file %1% already exists.  Do you want to overwrite it?  ",
            "<740>": "B212:  The HELP file is not available.  No help message will be saved.  Do you want to continue?  ",
            "<741>": "B213:  Done.  ",
            "<742>": "B214:  There are no columns defined in the dictionary of %1%.  ",
            "<743>": "B215:  You must add a table to the window before you can use Quick Paint.  ",
            "<744>": "B216:  There are no tables in this window.  ",
            "<745>": "B217:  Formatting...  ",
            "<746>": "B218:  Printing...  ",
            "<747>": "B220:  The mode %1% is invalid.  ",
            "<748>": "B221:  The selected objects have been copied to the Paint clipboard.  ",
            "<749>": "B222:  Function key? %1%  ",
            "<750>": "B223:  You must be in Roam mode to Insert or Delete rows.  ",
            "<751>": "B224:  The record already exists in the VOC.  Do you want to overwrite it?  ",
            "<752>": "B225:  Resizing is not supported in Table mode.  ",
            "<753>": "B226:  You may not pan while in Table mode.  ",
            "<754>": "B227:  The Window is fully displayed.  ",
            "<755>": "B228:  There is no transaction file for this Batch Update.  ",
            "<756>": "B229:  This label is at maximum length for the current window. You may want to try resizing your window using [Ctrl-F7].  ",
            "<757>": "B230:  A starting byte and a length are required.  ",
            "<758>": "B231:  Lock information has been updated in the templates in the %1% file.  ",
            "<759>": "B232:  No related windows are available.  ",
            "<760>": "B233:  Macro building has been disabled.  ",
            "<761>": "B234:  Searching Indexes...  Press [Esc] to cancel the search.  ",
            "<762>": "B235:  Waiting for index %1% to be available...  ",
            "<763>": "B236:  Error in compiling \"%1%\"  ",
            "<764>": "B237:  No [F2] Help for %1% type commands is available.  ",
            "<765>": "B238:  Collector windows do not have dictionaries.  ",
            "<766>": "B239:  Updating prompt %1%...  ",
            "<767>": "B240:  Updating the %1% field...  ",
            "<768>": "B241:  %1% is invalid.  ",
            "<769>": "B242:  Enter the table name to move to.  ",
            "<770>": "B243:  Selecting referenced programs...  ",
            "<771>": "B244:  %1% is not a valid table type. Press [F2] for table type options.  ",
            "<772>": "B245:  The %1% key is not active %2% Press [Ctrl-F9] for a list of the currently active keys.  ",
            "<773>": "B246:  The clipboard has been cleared.  ",
            "<774>": "B247:  Pasting is only allowed while Roaming.  ",
            "<775>": "B248:  Reading dictionary...  ",
            "<776>": "B249:  The dictionary is not bound to %1%. Use the Prompt Window to verify the prompt.  ",
            "<777>": "B250:  Table Information for %1%:  Volume  = %2%  OS Path  = %3%  File Type  = %4%  File Number = %5%  ",
            "<778>": "B251:  The %1% table belongs to the %2% volume. You may only change indexing in tables under the same volume.  ",
            "<779>": "B252:  Do you want to save?  ",
            "<780>": "B253:  Shifting...  ",
            "<781>": "B254:  No block of text has been defined.  ",
            "<782>": "B255:  The menu options key is disabled.  ",
            "<783>": "B256:  An invalid attribute was passed to ATTR.TO.ESC. Attribute = \"%1%\" (hex).  ",
            "<784>": "B257:  Cannot access color definitions correctly.  ",
            "<785>": "B258:  The escape sequence \"%1%\" (hex) is invalid in ESC.TO.ATTR.  ",
            "<786>": "B259:  The %1% table belongs to the %2% application. You may only change indexing in tables in the same application.  ",
            "<787>": "B260:  %1% is not a valid volume name or an existing subdirectory.  ",
            "<788>": "B261:  Table name  = %1%  OS name  = %8%  Volume  = %2%  Application = %3%  File Type  = %4%  %5%  ",
            "<789>": "B262:  %1% is indexed and cannot be renamed.  ",
            "<790>": "B263:  %1% in the %2% table is not a valid dictionary type for indexing. Only the dictionary types \"F\" and \"S\" may be indexed.  ",
            "<791>": "B264:  %1% already exists in the %3% application on the %2% volume.  ",
            "<792>": "B265:  The clipboard is empty.  ",
            "<793>": "B266:  %1% is not a Linear Hash table. You must convert your table before attempting to use it with PAINT.  ",
            "<794>": "B267:  The maximum length of the Quickdex index (65,530 characters) has been reached -- no more records will be added to the Quickdex in",
            "<795>": "B268:  The \"BY\" clause is invalid. You cannot sort by %1%.  ",
            "<796>": "B269:  The disk the drive is  NOT a valid LAN Pack disk.  Please insert a valid LAN Pack disk.  ",
            "<797>": "B269:  A  Fatal Bump error. Improper Bump information.  ",
            "<798>": "B272:  There is no disk in drive %1%. Insert a disk and then try agian.  ",
            "<799>": "B273:  To install a LAN Pack, you must log in as the \"LANPACK\" user.  ",
            "<800>": "B274:  This installation currently supports  %1% user(s).  Would you like to enable more users?  ",
            "<801>": "B275:  Insert a NEW Lanpack into Drive.  Choose drive (A or B) or Cancel  ",
            "<802>": "B276:  If you change the location of your application without moving the DOS files, you will NOT be able to open the application.  ",
            "<803>": "B279:  Cannot find the %1% driver in the SYSNETWORKS table.  ",
            "<804>": "B280:  The REVBOOT file is too large.  ",
            "<805>": "B282:  The original REVBOOT file has been renamed REVBOOT.OLD.  The new network driver will be available the next time you log onto Adva",
            "<806>": "B284:  Logging off.  ",
            "<807>": "B285:  No rows found.  ",
            "<808>": "B286:  %1% is not a valid index name.  ",
            "<809>": "B287:  Warning!  The index update process must not be interrupted  or indexes will be corrupted.  Do you still want to update ALL i",
            "<810>": "B288:  There are invalid character(s) in the table name %1%.  Use only alphanumeric characters and the special characters underscore \"_\"",
            "<811>": "B289:  The dictionary of %1% is not available.  ",
            "<812>": "B291:  The key list has exceeded the maximum allowed length. The list will be truncated.  ",
            "<813>": "B292:  The list accumulated in %1%  has been truncated to the 64K bytes limit.  Please use the R/LIST command to  retrieve correct ",
            "<814>": "B293:  The Btree index for the indexed column %1% in the table %2% has not been created.  Please initialize the index for this column an",
            "<815>": "B294:  The list returned from BTREE.EXTRACT has been truncated to the 64K limit.  To retrieve more rows from the %1% table use the SELEC",
            "<816>": "B295:  The list %1% cannot be found in the LISTS table.  ",
            "<817>": "B296:  Do you want to cancel this process?  ",
            "<818>": "B297:  The correct form for the TRANSACTION command is:  TRANSACTION operator (option)  where:  operator = COMMIT, ROLLBACK, S",
            "<819>": "B300:  These table(s) are not found in this volume:  ",
            "<820>": "B301:  Table(s) not available:  ",
            "<821>": "B303:  No candidate tables found.  ",
            "<822>": "B304:  Domain and validation controls have been added to %1% tables.  ",
            "<823>": "B305:  Control features have been removed from %1% tables.  ",
            "<824>": "B306:  Locating tables...  ",
            "<825>": "B307:  No tables were affected. The \"S\" option is not active if no volume is specified.  ",
            "<826>": "B308:  The \"%1%\" volume is not available.  ",
            "<827>": "B311:  The \"%1%\" table does not have control features active. Press [Esc] to cancel the process or press any other key to continue.  ",
            "<828>": "B312:  The \"%1%\" table already has Control features active.  Press [Esc] to cancel the process or press any other key to continue.  ",
            "<829>": "B313:  The \"%2%\" volume does not exist.  ",
            "<830>": "B314:  \"%1%\" is not a data table, and cannot have control features added.  Press [Esc] to cancel the process or press any other key to c",
            "<831>": "B315:  The \"%1%\" table is not available. It must be attached before Control features can be added.  Press [Esc] to cancel the process or",
            "<832>": "B316:  The \"%1%\" table does not exist on the \"%2%\" volume.  Press [Esc] to cancel the process or press any other key to continue.  ",
            "<833>": "B317:  An error has occurred while writing to the volume directory for the \"%2%\" volume.  Press [Esc] to cancel the process or press any",
            "<834>": "B318:  The \"%1%\" table is not on the \"%2%\" volume.  Press [Esc] to cancel the process or press any other key to continue.  ",
            "<835>": "B319:  Unable to save \"%1%\" in the \"%2%\" table.  ",
            "<836>": "B320:  Subroutine: %1%|Branch value must be numeric!  ",
            "<837>": "B321:  Subroutine: %1%|Value of %2% exceeds highest ON...GOSUB branch.  ",
            "<838>": "B322:  The table: %1% is excluded from all EasyWriter and QBE|queries.  Therefore, you may not set up additional|dictionary level contro",
            "<839>": "B323:  Link list in the table \"%1%\" is broken.  Transactions cannot be properly flushed.  To correct this problem,  please rebuild a",
            "<840>": "B324:  The table: %1% has no dictionary attached or created.|Therefore, you may not set up additional|dictionary level control on the ta",
            "<841>": "B325:  Dictionary tables cannot be further qualified for EasyWriter queries.  ",
            "<842>": "B326:  Error writing to DOS file \"%1%\"  ",
            "<843>": "B327:  Default configuration record \"%1%\" is missing from the %2% table.  ",
            "<844>": "B328:  Error opening or reading from .INI file \"%1%\"  ",
            "<845>": "B329:  %1% is an invalid Advanced Revelation .INI file.  ",
            "<846>": "B330:  The file or path \"%1%\" does not contain .INI files.  ",
            "<847>": "B331:  Other .INI files only accessable from the SYSPROG account.  ",
            "<848>": "B332:  No INI-file has been found. \"%1%\" has been created as the default INI-file.  ",
            "<849>": "B333:  Finishing processing selections. Please wait.  ",
            "<850>": "B400:  Initializing the index control information...  ",
            "<851>": "B401:  Null I/O Error  ",
            "<852>": "B402:  Error compiling %1%.  Use the dictionary window to correct the formula.  ",
            "<853>": "B403:  Error while copying row \"%1%\" to the \"%2%\" table.  ",
            "<854>": "B404:  Building the \"%1%\" index for the \"%2%\" table...  ",
            "<855>": "B440:  Another workstation is currently accessing table \"%2%\" and  has row \"%1%\" locked.  The index update you have requested will pr",
            "<856>": "B441:  Records can not be updated because the table \"%1%\" is not  available or attached for reference to store index transactions.  P",
            "<857>": "B500:  The \"%1%\" table has been dropped.  ",
            "<858>": "B501:  The wait-for-lock process has been interrupted.  Lock information:  Lock Type: \"%1%\"  Table  : \"%2%\"  Row  : \"%",
            "<859>": "B502:  Transaction Control is OFF.  ",
            "<860>": "B503:  You must log in as the user \"SYSPROG\" to perform this function.  ",
            "<861>": "B504:  Do you want to remove the user  \"%1%\"  from the commit queue \"%2%\" ?  ",
            "<862>": "B505:  Do you want to remove the user  \"%1%\"  from ALL commit queues?  ",
            "<863>": "B506:  Do you want to clear the entire Commit Log?  ",
            "<864>": "B507:  Warning! Invoking Auto-Transaction Start causes all changes to be held until they are explicitly committed.  Unless committed, ch",
            "<865>": "B508:  A pending transaction exists for this station.  Do you want to Commit or Rollback before logoff?  ",
            "<866>": "B509:  A pending transaction exists for this station.  Do you want to Commit, Rollback, or Ignore the transaction?  ",
            "<867>": "B510:  Invalid response. Entry must be  \"C\", \"R\", or \"I\".  ",
            "<868>": "B511:  Invalid response. The entry must be a \"C\" or \"R\".  ",
            "<869>": "B512:  This function can only be used when Commit Protection is \"ON\".  Commit protection causes commit queues to be maintained.  A lock ",
            "<870>": "B513:  The \"COMMITLOG\" file has been locked. Transactions cannot be committed while this utility is being run.  ",
            "<871>": "B514:  This volume does not contain any tables of the Revelation G type.  ",
            "<872>": "B515:  Row \"%1%\" was found in the \"VOC\", but is not a valid volume name.  ",
            "<873>": "B516:  \"%1%\" is mapped to drive \"%2%\".  ",
            "<874>": "B517:  \"%1%\" is not a volume.  This process assumes that it is a path name.  Is this correct?  ",
            "<875>": "B518:  The volume name that corresponds to the path  \"%1%\"  is  \"%2%\"  Is this correct?  ",
            "<876>": "B519:  The target must a be valid volume. Building \"%TEMP.VOL.CONVERT%\" using the path \"%1%\".  ",
            "<877>": "B520:  The volume directory on path \"%1%\" is not available.  ",
            "<878>": "B521:  Another workstation is currently updating indexes  on table \"%2%\" with control column \"%1%\" locked.  The index update you have",
            "<879>": "B522:  \"%1%\" is not a valid column name.  ",
            "<880>": "B523:  Help level can only be set from Level 1 of TCL.  ",
            "<881>": "B524:  All other users should reattach this table in order for indexing to remain up-to-date.  ",
            "<882>": "B525:  Error %1% in VSPACE.  ",
            "<883>": "B526:  The View window cannot be displayed. The operating system file required for the window is not available or cannot be created.  ",
            "<884>": "B527:  Your DOS path for temporary files is invalid. Please check your environment setting.  ",
            "<885>": "B528:  I/O error during join process.  ",
            "<886>": "B529:  An error was encountered while joining columns. No changes will be saved.  ",
            "<887>": "B530:  A Merge name is required.  ",
            "<888>": "B531:  The printer configuration for \"%1%\" cannot be found in \"%2%\".  ",
            "<889>": "B532:  The flag definition record \"%1%\" cannot be found.  ",
            "<890>": "B533:  Cannot find \"%1%\".  ",
            "<891>": "B534:  The \"%C37%FIELDS%C37%\" row in the the dictionary of \"%1%\" is not available.  ",
            "<892>": "B535:  Reprocessing row \"%1%\" from the \"%2%\" table %3% ...  ",
            "<893>": "B536:  Cannot find \"%1%\" in \"%2%\".  ",
            "<894>": "B537:  Merging row \"%1%\" from the \"%2%\" table to the output table %3% ...  ",
            "<895>": "B538:  The key list contains imbalanced single or double quote marks.  ",
            "<896>": "B539:  No output table was specified in the template.  ",
            "<897>": "B540:  Widow/Orphan override.  ",
            "<898>": "B541:  MERGE.SUB was passed a dispatch value out of range %1%.  ",
            "<899>": "B542:  Collecting column information...  ",
            "<900>": "B543:  %1% Enter a value.  ",
            "<901>": "B544:  Do you want to delete \"%1%\"?  ",
            "<902>": "B545:  The Merge sample is active only while editing the Merge script.  ",
            "<903>": "B546:  Do you want to view the previous sample?  ",
            "<904>": "B547:  The row \"%1%\" is not available in the \"%2%\" table to do a Merge sample.  ",
            "<905>": "B548:  Do you want to abandon the sample?  ",
            "<906>": "B549:  Selecting a random row.  ",
            "<907>": "B550:  Initializing...  ",
            "<908>": "B551:  \"%1%\" error(s) detected.  ",
            "<909>": "B552:  No errors have been detected.  ",
            "<910>": "B553:  This field is protected.  Press [F2] to edit the Script.  ",
            "<911>": "B554:  Enter the name of the operating system text file to import.  ",
            "<912>": "B555:  The table can be accessed successfully.  ",
            "<913>": "B556:  \"%1%\" is not a legal operating system filename.  ",
            "<914>": "B557:  Access to this file has been denied by the operating system.  ",
            "<915>": "B558:  \"%1%\" does not exist.  ",
            "<916>": "B559:  \"%1%\" is not available or cannot be found.  ",
            "<917>": "B560:  Convert high ASCII characters  (higher than character 127)?  ",
            "<918>": "B561:  The format flag template contains an invalid key flag (%1%-%2%).  ",
            "<919>": "B562:  The text file is too long. The file will be truncated to fit into the Merge template.  ",
            "<920>": "B563:  Wrap long lines?  ",
            "<921>": "B564:  The key flag \"%1%\" in the options list is a valid flag.  ",
            "<922>": "B565:  \"%1%\" is not a valid format code. Press [F2] for a list of valid formats.  ",
            "<923>": "B566:  The format code %1% is invalid.  ",
            "<924>": "B567:  The \"%1%\" table does not exist.  Do you want to create it?  ",
            "<925>": "B568:  The Merge script is empty.  ",
            "<926>": "B569:  The Merge header has not been specified.  ",
            "<927>": "B570:  The Merge footer has not been specified.  ",
            "<928>": "B571:  Printer format specifications must be entered as up to 3 decimal numbers separated by spaces.  (example: 27 72 105)  ",
            "<929>": "B572:  Selecting rows...  ",
            "<930>": "B573:  Enter the name of the filter row.  ",
            "<931>": "B574:  The \"REPORTS\" table is not available.  Press [Enter] to return to the Query window.  ",
            "<932>": "B575:  The filter \"%1%\" has been saved.  ",
            "<933>": "B576:  Do you want to save your  custom changes in a Filter?  ",
            "<934>": "B577:  The \"%1%\" prompt contains unbalanced quotation marks.  ",
            "<935>": "B578:  Converting the R/DESIGN row \"%1%\".  ",
            "<936>": "B579:  \"%1%\" This row already exists in \"%2%\". The row was not converted.  ",
            "<937>": "B580:  \"%1%\" This record was converted and saved in \"%2%\".  ",
            "<938>": "B581:  %1% Possible incompatibility. This prompt has a symbolic reference in %2%. The code has been placed in %3%.  ",
            "<939>": "B582:  The symbolic uses RDESIGN.COMMON. This is incompatible with window templates.  ",
            "<940>": "B583:  The symbolic defines COMMON variables. This may be incompatible with Window templates.  ",
            "<941>": "B584:  \"%1%\" This prompt has a subroutine reference in Description. The code has been placed in the Options prompt. This may be incompat",
            "<942>": "B585:  The subroutine \"%1%\" uses RDESIGN.COMMON. This is incompatible with window templates.  ",
            "<943>": "B586:  The subroutine \"%1%\" defines common. This may be incompatible with Window templates.  ",
            "<944>": "B587:  The program \"%1%\" cannot not be found. The process is unable to check for incompatibility.  ",
            "<945>": "B588:  The program table is not available. Unable to check for incompatibility.  ",
            "<946>": "B589:  \"%1%\" This row is not an \"ENTRY\" type. It cannot be converted by this program.  ",
            "<947>": "B590:  The \"VOC\" entry was not a catalog pointer. The process is unable to check for incompatibility.  ",
            "<948>": "B591:  \"%1%\" The \"VOC\" entry is not available. Unable to check for incompatibility.  ",
            "<949>": "B592:  \"%1%\" This row cannot be found in the \"%2%\" table.  ",
            "<950>": "B593:  \"%1%\" The cross reference login was not converted.  ",
            "<951>": "B594:  \"%1%\" The table accessed by this template is not available. The prompts for symbolic columns cannot be verified.  ",
            "<952>": "B595:  The change prompt has a value in \"PARAMETER 1\". Linked screen conversion is not completed yet. PARAMETER 1 = \"%1%\"  ",
            "<953>": "B596:  Prompt number %1% (R/DESIGN window number %2%) is more than one column wide. It has been truncated to one column.  ",
            "<954>": "B597:  %1% This prompt has a non-numeric value in Parameter 1. No action has been taken.  ",
            "<955>": "B598:  \"%1%\" This prompt has a value in the \"DESCRIPTION\" field that cannot be converted.  ",
            "<956>": "B599:  Mode %1% is an invalid reduction mode.  ",
            "<957>": "B600:  The first (meta) pass for \"WITH\" has failed.  ",
            "<958>": "B601:  WITH meta compilation failed.  ",
            "<959>": "B602:  This option/process is not supported.  ",
            "<960>": "B603:  The cursor value %1% is out of range.  ",
            "<961>": "B604:  The cursor \"%1%\" is invalid.  ",
            "<962>": "B605:  The template has not been saved. There is no Table or Collector information.  ",
            "<963>": "B606:  Position information must be numeric.  ",
            "<964>": "B607:  The mode %1% is invalid for LIST.ACTIVE.  ",
            "<965>": "B608:  Error during Readnext operation while seeking.  ",
            "<966>": "B609:  Waiting for an index lock...  If you cancel this process, the table will not be deleted.  ",
            "<967>": "B610:  BFS name cannot be read for DICT %1%  ",
            "<968>": "B611:  The [Alt-V] key is functional only when using R/LIST commands.  ",
            "<969>": "B615:  The active select list is unresolved.  Do you want to continue?  ",
            "<970>": "B616:  The active select list is unresolved  with reduction pending.  Do you want to continue?  ",
            "<971>": "B617:  The active select list is unresolved.  The \"%1%\" table contains %2% rows.  Do you want to continue?  ",
            "<972>": "B618:  The active SELECT list is unresolved.  The \"%1%\" table contains %2% rows.  Do you want to continue?  ",
            "<973>": "B619:  Seek to the top of table has failed.  Do you want to continue the Savelist  from the current position?  ",
            "<974>": "B620:  %B%No Cross Reference or Btree index has been established for the \"%1%\" table.  ",
            "<975>": "B621:  \"%1%\" is not a valid key in the \"%2%\" table.  ",
            "<976>": "B622:  Preparing \"%1%\" listing...  ",
            "<977>": "B623:  No rows have been selected.  ",
            "<978>": "B624:  The record \"@CRT\" in the dictionary of \"%1%\" contains an invalid column. \"%2%\" does not exist.  ",
            "<979>": "B625:  VSPACE status error %1%.  ",
            "<980>": "B626:  \"%1%\" is not available for the View window. Cancelling the process.  ",
            "<981>": "B627:  STATUS() error = \"%1%\" \"%2%\"  ",
            "<982>": "B628:  Cannot move to the top of the table.  Do you want to continue the report  from the current position?  ",
            "<983>": "B629:  Enter page number to display.  ",
            "<984>": "B630:  Do you want to print this report?  ",
            "<985>": "B631:  The \"REPORTS\" table is not available.  ",
            "<986>": "B632:  The row \"%1%\" cannot be found in the \"REPORTS\" table.  ",
            "<987>": "B633:  Moving \"%1%\" menus is not allowed.  ",
            "<988>": "B634:  This menu is too large to display. The process has been cancelled.  ",
            "<989>": "B635:  The [Alt-P] key is functional only when using R/LIST commands.  ",
            "<990>": "B636:  SELECT.INDEX failed during REDUCE operation.  ",
            "<991>": "B700:  The ASCII %1% character is reserved for system use and cannot be used in prompts or labels.  ",
            "<992>": "B701:  The index search type specified for \"%1%\" is invalid.  ",
            "<993>": "B702:  The index \"%1%\" must be rebuilt.  ",
            "<994>": "B703:  Warning! The index \"%1%\" must be rebuilt. (The primary data and index control information has not been corrupted.)  ",
            "<995>": "B704:  Restricted access.  ",
            "<996>": "B705:  The correct form for the \"BUILD.TABLE\" command is:  BUILD.TABLE template.file.name template.name  ",
            "<997>": "B706:  Working on template \"%1%\" in the \"%2%\" table...  ",
            "<998>": "B707:  The \"%1%\" template is encrypted. Unable to build a table row.  ",
            "<999>": "B708:  No help is available for \"%1%\".  ",
            "<1000>": "B709:  Row is locked.  Retrying...  ",
            "<1001>": "B710:  Do you want to change the message?  ",
            "<1002>": "B711:  Waiting for \"%1%\" transaction lock in \"%2%\"...  Warning! If you cancel this process, you will have to rebuild this index.  ",
            "<1003>": "B712:  The \"%1%\" option is not available in FILE.CVT.  ",
            "<1004>": "B713:  Working on \"%1%\"...  ",
            "<1005>": "B714:  The popup has reached the maximum size allowed for your memory configuration.  ",
            "<1006>": "B772:  ",
            "<1007>": "B800:  Waiting to lock the \"%1%\" table...  Press [Esc] to cancel the process.  ",
            "<1008>": "B801:  %1% row(s) have been selected. %2% logical error(s) were detected.  ",
            "<1009>": "B802:  %1% row(s) have been selected. %2% error(s) were detected.  ",
            "<1010>": "B805:  This statement contains unbalanced quotes.  ",
            "<1011>": "B810:  \"%1%\" is an invalid active language set. The active language set must be in the list of loaded sets or must be \"DEFAULT\".  ",
            "<1012>": "B811:  \"%1%\" is an invalid language set. Press [F2] for a list of valid choices.  ",
            "<1013>": "B812:  \"%1%\" already exists in the load list.  ",
            "<1014>": "B813:  \"%1%\" is an invalid output conversion pattern for the TIMEDATE() function. The pattern must be a valid \"DT\" (Date-Time) conversio",
            "<1015>": "B815:  Case sensitive character sort order in record \"%1%\" is invalid. It must be 256 bytes in length exactly.  ",
            "<1016>": "B816:  Case insensitive character sort order in record \"%1%\" is invalid. It must be 256 bytes in length exactly.  ",
            "<1017>": "B817:  The language set control row \"%1%\" is not in the load list and is not \"DEFAULT\".  ",
            "<1018>": "B818:  The language set control row \"%1%\" was not found in the SYSENV table.  ",
            "<1019>": "B820:  No fonts or styles defined for this printer.  ",
            "<1020>": "B821:  No printers have been defined in the environment.  ",
            "<1021>": "B822:  Cannot initialize printer %1%  ",
            "<1022>": "B823:  %1% is not a valid color.  ",
            "<1023>": "B824:  %1% rows converted.  ",
            "<1024>": "B825:  The spooling file %1% already exists.|Do you wish to overwrite the file?  ",
            "<1025>": "B826:  Operation cancelled.  ",
            "<1026>": "B827:  WARNING! If you cancel the print job, the spool file will be erased, and you must rerun any reports that you want printed.  Do yo",
            "<1027>": "B828:  A print process is open for this station and a close process has been defined for this printer.  Do you wish to execute the Close",
            "<1028>": "B829:  You have selected the postcript printer driver and any  printed output will be spooled to a temporary file.  To send any pendin",
            "<1029>": "B830:  The value you have entered does not meet validation criteria.  You can enter strings of characters to send to the printer in any ",
            "<1030>": "B834:  There is no ROSMEDIA.MAP file on \"%1%\".  ",
            "<1031>": "B835:  \"%1%\" is in the \"VOC\"  but it is not a volume pointer.",
            "<1032>": "",
            "<1033>": "DBASE1:  dBASE error; Primary status = %1%; Secondary status = %2%.",
            "<1034>": "DBASE2:  dBASE error %2%; Primary Status = %1%; Secondary status = %3%.",
            "<1035>": "CHK100:  Could not create directory %1%.",
            "<1036>": "CHK101:  Check-out status %1% cannot be processed.",
            "<1037>": "CHK102:  Could not create hot repository on %1%.",
            "<1038>": "CHK103:  Could not create cold repository on %1%.",
            "<1039>": "CHK104:  Volume %1% already exists.  Repository could not be created.",
            "<1040>": "CHK105:  Invalid repository format %1%.",
            "<1041>": "REP100:  No method \"%2%\" exists for entity \"%1\".",
            "<1042>": "REP101:  At least two args required for methods.",
            "<1043>": "REP102:  Cannot forward message - no more parent class levels.",
            "<1044>": "REP110:  Cannot add entity \"%1%\" - it already exists.",
            "<1045>": "REP111:  Reference \"%1%\" is missing for \"%2%\" - referential error.",
            "<1046>": "REP112:  Reference \"%1%\" crosses application lines.",
            "<1047>": "REP113:  Invalid entity id \"%1%\".",
            "<1048>": "REP117:  Cannot add type - it already exists.",
            "<1049>": "REP118:  Cannot add application - it already exists.",
            "<1050>": "REP119:  User %1% does not have rights to perform operation %2% against entity %3%.",
            "<1051>": "REP120:  Inherited entity %1% cannot be modified.",
            "<1052>": "REP121:  Invalid flag option code %1%.",
            "<1053>": "REP122:  Invalid flag operator code.",
            "<1054>": "REP123:  Cannot find associated component %2% of entity %1%.",
            "<1055>": "REP124:  Message %2% is not supported by the entity type/class %1%.",
            "<1056>": "REP125:  App body missing in SYSAPPS.",
            "<1057>": "REP126:  Repository is being synchronized with the Database from another station.",
            "<1058>": "REP127:  Error copy entity %1% component %2% in checkout or extraction.",
            "<1059>": "REP128:  Illegal location token used on hot format checkout.",
            "<1060>": "REP129:  Cannot update associated component %2% of entity %1% (%3%).",
            "<1061>": "REP130:  Missing SYSREPOSCLASSES definition for entity %1% (%2%).",
            "<1062>": "REP131:  Missing SYSREPOSTYPES definition for entity %1% (%2%).",
            "<1063>": "REP132:  Error opening SYSREPOSTYPES table (%1%).",
            "<1064>": "REP133:  Error opening SYSREPOSCLASSES table (%1%).",
            "<1065>": "REP134:  Error creating MSScriptControl.ScriptControl (%1%).",
            "<1066>": "REP135:  Error adding code to Script Control (%1%).",
            "<1067>": "REP136:  Error running \"%1%\" function in Script Control (%2%).",
            "<1068>": "REP137:  %1% method for the %2% entity can only be executed in Event Context",
            "<1069>": "REP138:  %1% method for the %2% entity can only be executed with a running IDE",
            "<1070>": "REP139:  \"%1%\" is not a valid \"%2%\" parameter for the %3% method",
            "<1071>": "REP140:  No LOCATION defined for the %1% entity",
            "<1072>": "REP141:  No AppRow passed to the %1% method for the %2% entity",
            "<1073>": "REP142:  Unable to resolve the \"%1%\" quick event target for the \"%2%\" %3% event",
            "<1074>": "REP143:  No parent ID specified for the \"%1%\" %2% method",
            "<1075>": "REP144:  The SYSPROG application cannot be deleted",
            "<1076>": "REP145:  \"%1%\" is not a valid application ID",
            "<1077>": "REP190:  Invalid REPFILTER definition passed to the %1% procedure",
            "<1078>": "REP191:  Invalid REPVIEW ID passed to the %1% procedure [%2%]",
            "<1079>": "REP192:  Empty REPVIEW passed to the the %1% procedure",
            "<1080>": "REP200:  No event found for controlid %1%, controlclass %2%, event %3%.",
            "<1081>": "REP201:  %1% is not a valid window name, or is not currently running.",
            "<1082>": "REP300:  Entity %1% does not exist.",
            "<1083>": "REP303:",
            "<1084>": "REP305:  Window Executable %1% was not found in this application.",
            "<1085>": "REP310:  Compilation error: join information for table \"%1%\" has not been specified for the form.",
            "<1086>": "REP311:  Compilation error: The column %2% is not found in table %1%.",
            "<1087>": "REP312:  Compilation error: The join control %1% is not found in the form.",
            "<1088>": "REP313:  Menu compilation error: nesting error.",
            "<1089>": "REP314:  Incomplete Key:  No control for key part %1%",
            "<1090>": "REP315:  Compilation error: Commuter Module has not been defined for the form",
            "<1091>": "REP333:",
            "<1092>": "REP500:  Winexec Error #%1%.",
            "<1093>": "REP510:  The \"Date From\" cannot be after the \"Date To\".",
            "<1094>": "REP700:  OIEVENT must have a super-control ( entid %1%).",
            "<1095>": "REP701:  POEVENT need to have entitid same.",
            "<1096>": "REP703:  Invalid classid as token.",
            "<1097>": "REP800:  Entity %1% locked by another session and could not be locked.",
            "<1098>": "REP801:  Entity %1% is already locked by this session.",
            "<1099>": "REP802:  Entity %1% is checked out by %2% and could not be locked.",
            "<1100>": "REP803:  Entity %1% is checked out by the current user.",
            "<1101>": "REP804:  Remote entity %1% locked by another session and could not be locked.",
            "<1102>": "REP805:  Remote entity %1% is already locked by this session.",
            "<1103>": "REP806:  Remote entity %1% is checked out by %2% and could not be locked.",
            "<1104>": "REP807:  Remote entity %1% is checked out by current user.",
            "<1105>": "REP900:  Error creating mirror file %1%.",
            "<1106>": "REP901:  Error deleting mirror file %1%.",
            "<1107>": "REP902:  A repository mirror file exists at location %1%.",
            "<1108>": "REP903:  A repository mirror is already installed in this system.",
            "<1109>": "REP904:  A repository mirror is not installed in this system.",
            "<1110>": "REP905:  Row \"%1%\" shows differences.",
            "<1111>": "REP906:  The repository is in a state of error.  Access is denied until a system administrator remedies the error condition.",
            "<1112>": "REP932:  There are no records meeting this criteria",
            "<1113>": "REP933:  The selection criteria is invalid",
            "<1114>": "",
            "<1115>": "RIX100:  Error reading primary node for the \"%1%\" Repository Index ",
            "<1116>": "RIX101:  Value \"%2%\" missing from the \"%1%\" Repository Index node",
            "<1117>": "",
            "<1118>": "POP101:  Table %1% does not exist.",
            "<1119>": "POP102:  Field %1% set to null when a value expected.",
            "<1120>": "POP103:  Invalid key %1% in table %2%.",
            "<1121>": "POP104:  Mode %1% is incompatible with type %2%.",
            "<1122>": "POP105:  Type %1% is invalid.",
            "<1123>": "POP106:  Mode %1% is invalid.",
            "<1124>": "POP107:  Dictionary does not exist for table %1%.",
            "<1125>": "POP108:  Non-numeric field name %1% in format argument not allowed with mode F.",
            "<1126>": "POP109:  Format argument not allowed to be null.",
            "<1127>": "POP110:  Error inserting the \"%1%\" column.",
            "<1128>": "POP111:  \"%1%\" is not a valid custom button procedure [%2%]",
            "<1129>": "POP112:  The \"%1%\" custom button procedure must accept at least one argument",
            "<1130>": "POP113:  \"%1%\" is not a valid initialization procedure [%2%]",
            "<1131>": "POP114:  The \"%1%\" initialization procedure must accept at least two arguments",
            "<1132>": "",
            "<1133>": "DS101:   Duplicate column or argument name \"%1%\"",
            "<1134>": "DS102:   Invalid data type \"%1%\"",
            "<1135>": "DS103:   Invalid or incomplete column definition for column %1%",
            "<1136>": "",
            "<1137>": "MSG101:  Out of memory, or could not create MSG Dialog Box.",
            "<1138>": "MSG102:  One or more parameters were invalid, or @fm's found in text.",
            "<1139>": "",
            "<1140>": "IDX101:  Dictionary does not exist for table %1%.",
            "<1141>": "IDX102:  Table %1% does not exist.",
            "<1142>": "",
            "<1143>": "X100:    MFS list set to null when a list expected.",
            "<1144>": "X101:    Invalid action code for SET_MFS.",
            "<1145>": "X103:    Position error for %1%.",
            "<1146>": "X104:    %1% does not exist in the table.",
            "<1147>": "X105:    %1% object code does not exist in the SYSOBJ table.",
            "<1148>": "X106:    %1% already exists on the table.",
            "<1149>": "X107:    Adding DICT.MFS to a non-dictoinary table is not allowed.",
            "<1150>": "X108:    Adding PROTECT.MFS to dictoinary table is not allowed.",
            "<1151>": "",
            "<1152>": "PING101:  Error in IP Address %1%",
            "<1153>": "PING104:  Error - Invalid host [%1%]",
            "<1154>": "PING105:  Error - Destination host [%1%]",
            "<1155>": "PING106:  Error creating ICMP file [%1%] ",
            "<1156>": "",
            "<1157>": "SOCK101:  Unable to create socket / detect socket layer [%1%]",
            "<1158>": "SOCK102:  Unable to resolve host DNS entry [%1%]",
            "<1159>": "SOCK103:  Couldn't get IP address type of host [%1%]",
            "<1160>": "SOCK104:  Couldn't create socket  ",
            "<1161>": "SOCK105:  Unable to connect to ipaddress",
            "<1162>": "SOCK106:  Couldn't create server socket  ",
            "<1163>": "",
            "<1164>": "EV100: Unknown Event Handler error",
            "<1165>": "EV101: Required Error",
            "<1166>": "EV102: Validation Error",
            "<1167>": "EV103: Form Read Error",
            "<1168>": "EV104: Form Read Sub Error",
            "<1169>": "EV105: Null Key Error",
            "<1170>": "EV106: Locking Error",
            "<1171>": "EV107: User Cancel",
            "<1172>": "EV108: Null procedure name",
            "<1173>": "EV109: %1% is not a valid stored procedure name",
            "<1174>": "EV110: The %1% stored procedure does not accept parameters",
            "<1175>": "EV111: Null Window Name",
            "<1176>": "EV112: DSN Create Error [%1%]",
            "<1177>": "EV113: TPL (IDE ToolPanel) Create Error [%1%]",
            "<1178>": "EV114: DSN (IDE Designer) PROPCHANGED validation error",
            "<1179>": "EV115: FDS (IDE FormDes) Parser Error [%1%]",
            "<1180>": "EV116: FDS (IDE FormDes) Builder Error [%1%]",
            "<1181>": "EV117: DSN (IDE Designer) Write error [%1%]",
            "<1182>": "EV118: DSN (IDE Designer) Test-Run error [%1%]",
            "<1183>": "EV119: Invalid Property Value [%1%]",
            "<1184>": "EV130: QBF Parser Error [%1%]",
            "<1185>": "EV131: QBF may only be used with data-bound forms",
            "<1186>": "EV132: Query By Form is not active",
            "<1187>": "EV133: QBF saved list activation error [%1%]",
            "<1188>": "EV134: \"%1%\" is not a valid position in the QBF result list",
            "<1189>": "EV135: \"%1%\" is not a valid ID in the QBF result list",
            "<1190>": "EV136: Error resetting sequential key counter [%1%]",
            "<1191>": "",
            "<1192>": "OS101: \"%1%\" is an invalid OS file name.",
            "<1193>": "OS102: Access denied by the operating system to the \"%1%\" file.",
            "<1194>": "OS103: Error in the OS file \"%1%\". Disk volume full.",
            "<1195>": "OS104: The OS file \"%1%\" does not exist.",
            "<1196>": "OS106: The OS file \"%1%\" is read-only.",
            "<1197>": "OS107: Undefined error during a OS file operation. File: \"%1%\" - Status(): \"%2%\"",
            "<1198>": "",
            "<1199>": "IDXS001 IDX_SETS error: \"%1%\" [%2%]"
        }
    }
}